Eclipse的PyDev插件安装及解决安装后找不到的问题

分类: 工作记录 0人评论 1年前发布

项目中有需求,要把Mysql中的一批数据按天同步到Oracle,已有项目中没有类似的功能,且涉及到两个数据库,为了这点功能就多创建出一个数据源始终感觉不够优雅。

考虑之后觉得还是用脚本方便快捷一些,决定用python来完成该功能。

要用python总得有个编码环境吧,由于我的主语言是Java,机子上已经有了Eclipse(虽然平时用intellij idea)装个PyDev插件练练手先。

在线安装,在Eclipse的Marketplace中可以搜到PyDev,但是试了好几次,这网络,被墙的感觉,反正就是装不成功。

还是离线装吧,到 http://pydev.org/download.html 下载PyDev包,实际下载在SourceForge,页面上可以找到。

离线安装一般有以下几种方法:

一、以前都是采用在线安装指定源的地方,选择【Archive】,然后选择下载的离线包。但是选择这个PyDev的zip包之后(目前的3.9.0版),发现这样会提示错误“No software site found at jar:file:[离线包路径]!/. Do you wish to edit the location?”。

二、将下载的离线包解压,得到plugins和features文件夹,直接复制到Eclipse文件夹下跟原有内容合并,这个方法安装成功率最高,缺点是当你想要删除这些文件的时候会无从下手。

三、也是推荐的方法,将插件文件夹复制到eclipse的dropins文件夹下就可以了。一般一个插件一个文件夹,里面有plugins和features两个子文件夹,清晰方便管理。

这里选择了第三种方法,但是将PyDev文件夹复制过去后重启eclipse始终安装不成功,必须将plugins和features放到dropins根目录才行。

重启Eclipse,PyDev应该已经安装成功。

启动eclipse之后,可能会找不到PyDev的设置项,这是因为PyDev不但要求eclipse版本为3.7以上,还要求JDK在1.7版本以上,一开始我就是遇到这个问题,因为我的项目中用的是JDK1.6,在我重新设置环境变量将它指向JDK1.7的目录后,才一切正常成功显示。这点需要注意!

上一篇:
下一篇:

你可能感兴趣的文章

0 条评论